Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# EggTable Class Reference

This corresponds to a. More...

Inheritance diagram for EggTable:

List of all members.

## Public Types
enum | TableType { TTInvalid = 0, TTTable = 1, TTBundle = 2 }
## Public Member Functions
| EggTable (EggTable const copy)
| EggTable (string name)
| EggTable ()
TableType | getTableType ()
bool | hasTransform ()
| Returns true if the table contains a transform description, false otherwise.
EggTable | operator= (EggTable const copy)
| setTableType (TableType type)
## Static Public Member Functions
static TypeHandle | getClassType ()
static TableType | stringTableType (string string)
| Returns the TableType value associated with the given string representation, or TT_invalid if the string does not match any known TableType value.

## Detailed Description

This corresponds to a.

a <Bundle> entry. As such, it doesn't actually contain a table of numbers, but it may be a parent to an EggSAnimData or an EggXfmAnimData, which do. It may also be a parent to another

<Bundle>, establishing a hierarchy of tables.

## Member Enumeration Documentation

enum TableType

Enumerator:

  TTInvalid |
  TTTable |
  TTBundle |

## Constructor & Destructor Documentation

EggTable | ( | EggTable const | copy | ) |

EggTable | ( | string | name | ) |

EggTable | ( |  | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggGroupNode.

TableType getTableType | ( |  | ) |

bool hasTransform | ( |  | ) |

Returns true if the table contains a transform description, false otherwise.

EggTable operator= | ( | EggTable const | copy | ) |

setTableType | ( | TableType | type | ) |

static TableType stringTableType | ( | string | string | ) | `[static]`

Returns the TableType value associated with the given string representation, or TT_invalid if the string does not match any known TableType value.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties